%define anolis_release 1
%global srcname genshi

Name:           python-%{srcname}
Version:        0.7.7
Release:        %{anolis_release}%{?dist}
Summary:        Toolkit for stream-based generation of output for the web

License:        BSD
URL:            https://genshi.edgewall.org/

Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%package -n     python3-%{srcname}-doc
Summary:        Documentation files for %{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
This package contains documentation for developer documentation for %{srcname}.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

find examples -type f | xargs chmod a-x

%generate_buildrequires
%pyproject_buildrequires -x i18n


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}

sed -i -e '/\/tests/d' %{pyproject_files}
sed -i -e '/_speedups.c/d' %{pyproject_files}


%check
%{python3} setup.py test


%files -n python3-%{srcname} -f %{pyproject_files}
%{python3_sitearch}/genshi/_speedups.*.so
%exclude %{python3_sitearch}/genshi/{_speedups.c,tests}
%exclude %{python3_sitearch}/genshi/{filters,template}/tests
# COPYING file already listed in {pyproject_files}


%files -n python3-%{srcname}-doc
%doc ChangeLog doc examples README.txt

%changelog
* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.7.7-1
- Init from upstream 0.7.7

